Print Friendly

# Class Ext.tree.TreeSorter

Package: | Ext.tree
Class: | TreeSorter
Extends: | Object
Defined In: | TreeSorter.js

Provides sorting of nodes in a TreePanel
Properties - Methods - Events - Config Options

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| TreeSorter(`TreePanel tree`, `Object config`) | TreeSorter

## Public Events

This class has no public events.

## Config Options

Config Options | Defined By
--- | ---
| caseSensitive : Boolean | TreeSorter
true for case sensitive sort (defaults to false)
| dir : String | TreeSorter
The direction to sort (asc or desc) (defaults to asc)
| folderSort : Boolean | TreeSorter
True to sort leaf nodes under non leaf nodes
| leafAttr : String | TreeSorter
The attribute used to determine leaf nodes in folder sort (defaults to "leaf")
| property : String | TreeSorter
The named attribute on the node to sort by (defaults to text)
| sortType : Function | TreeSorter
A custom "casting" function used to convert node values before sorting

## Constructor Details

### TreeSorter

`public function TreeSorter(`TreePanel tree`, `Object config`)`
Parameters:

- `tree` : TreePanel
- `config` : Object

## Config Details

### caseSensitive

`caseSensitive : Boolean`
true for case sensitive sort (defaults to false)
This config option is defined by TreeSorter.

### dir

`dir : String`
The direction to sort (asc or desc) (defaults to asc)
This config option is defined by TreeSorter.

### folderSort

`folderSort : Boolean`
True to sort leaf nodes under non leaf nodes
This config option is defined by TreeSorter.

### leafAttr

`leafAttr : String`
The attribute used to determine leaf nodes in folder sort (defaults to "leaf")
This config option is defined by TreeSorter.

### property

`property : String`
The named attribute on the node to sort by (defaults to text)
This config option is defined by TreeSorter.

### sortType

`sortType : Function`
A custom "casting" function used to convert node values before sorting
This config option is defined by TreeSorter.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.